%define pkg_name        Lingua-EN-Titlecase
%define pkg_version     0.06
%define rpm_pkg_version 0.06
%define rpm_pkg_release 1.n0i.1

Summary:       Titlecasing of English words by traditional editorial rules
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AS/ASHLEY/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(List::Util)


%description
Editorial titlecasing in English is the initial capitalization of regular
words minus inner articles, prepositions, and conjunctions.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sun Aug 26 2007 Marius Feraru <altblue@n0i.net> - 0.06-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 0.06
